package controller

import (
	"github.com/rs/zerolog"
	"netidhub-saas-be/app/module/article_files/service"
)

type Controller struct {
	ArticleFiles ArticleFilesController
}

func NewController(ArticleFilesService service.ArticleFilesService, log zerolog.Logger) *Controller {
	return &Controller{
		ArticleFiles: NewArticleFilesController(ArticleFilesService, log),
	}
}
